Skip to main content
GET
Retrieves a list of differences.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer

The max size of each page of results

offset
integer

The integer offset at which to start the page. Possible values are 0 to total_records - 1

id
string

Comma-separated list of requested Difference UUIDs

max_impact_score
integer

Filter out differences above this impact score

min_impact_score
integer

Filter out differences below this impact score

is_open
boolean

True if you want differences that still need to be resolved

object_type
string

Comma separated object types you would like to filter on

Example:

"employee,individual_enrollment"

object_id
string<uuid>

The ID of the object you'd like to filter on

Example:

"2ce3b54a-2535-4803-b218-e6b44081d418"

group_id
string<uuid>

The ID of the group you'd like to filter on

Example:

"8da8e28d-1dbe-44b4-a973-46e8fc191b6c"

created_before
string

Filter for only differences created before this date (exclusive)

Example:

"2020-12-1"

created_after
string

Filter for only differences created after this date (exclusive)

Example:

"2020-12-1"

impact_type
string

Comma separated impact types you would like to filter on

is_dismissed
boolean

show only differences with the given is_dismissed value

is_discrepancy
boolean

Show only differences that are or are not discrepancies

member_snapshot_id
string<uuid>

The ID of the member snapshot you'd like to filter on

Example:

"8da8e28d-1dbe-44b4-a973-46e8fc191b6c"

sort_by
string

The attribute on which to sort

sort_direction
string

Either asc or desc, to denote the data's direction

include_unavailable
boolean

Include differences that are known to be unavailable at carrier

classification
string

Comma separated difference classifications to filter differences by

Example:

"field_mismatch,missing_from_platform"

type
string

Comma separated difference types to filter differences by

Example:

"new_hire,phone_number"

Response

200 - application/json

Successful Response - Returns all matching differences

meta
object
required

Metadata associated with the response data

response
object[]
required

List of difference results